Package groovy.markdown

# Class MarkdownRuntimeException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
groovy.lang.GroovyRuntimeException
groovy.markdown.MarkdownRuntimeException

All Implemented Interfaces:
  `Serializable`

@Incubating public class MarkdownRuntimeException extends GroovyRuntimeException
Represents a runtime exception that occurred while parsing Markdown.

Since:
  6.0.0
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MarkdownRuntimeException(String msg)`
  Creates an exception with the supplied detail message.
  `MarkdownRuntimeException(String msg, Throwable cause)`
  Creates an exception with the supplied detail message and cause.
  `MarkdownRuntimeException(Throwable cause)`
  Creates an exception that wraps the supplied cause.

- ## Method Summary

  ### Methods inherited from class groovy.lang.GroovyRuntimeException

  `getLocationText, getMessage, getMessageWithoutLocationText, getModule, getNode, setModule`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### MarkdownRuntimeException

    public MarkdownRuntimeException(String msg)
    Creates an exception with the supplied detail message.
    Parameters:
      `msg` - the detail message

  - ### MarkdownRuntimeException

    public MarkdownRuntimeException(Throwable cause)
    Creates an exception that wraps the supplied cause.
    Parameters:
      `cause` - the underlying cause

  - ### MarkdownRuntimeException

    public MarkdownRuntimeException(String msg, Throwable cause)
    Creates an exception with the supplied detail message and cause.
    Parameters:
      `msg` - the detail message
      `cause` - the underlying cause